function TFormMain.GetGausAprox(x, intensity: double): double;
const
  maxHTC: double = 70000;
var
  maty, HTCcent: double;
begin
  intensity:=Max(1e-6, intensity);
  maty:=maxHTC*arctan(intensity*3)/Pi*2;
  HTCcent:=0.1*maty;
  if t<0
  then result:=HTCin +exp(-Sqr(t)/(2*Sqr(hloubkaImp/2*(Sqr(Sqr(intensity/2))+1))))*(maty-(HTCin +HTCcent))+Sqr(Max(0, deska/2+t)/(deska/2))*HTCcent
  else result:=HTCout+exp(-Sqr(t)/(2*Sqr(hloubkaImp/2*(Sqr(Sqr(intensity  ))+1))))*(maty-(HTCout+HTCcent))+Sqr(Max(0, deska/2-t)/(deska/2))*HTCcent;
end;

hloubkaImp je hloubka dopadové stopy z měření impaktu
deska je asi rozměr desky=300mm??? nevím už jakou to tam hraje roli, zkus to zjistit, možná je to místo, kde to má navazovat na okolní hodnoty
HTCin je HTC na vstupu do křivky
HTCout je HTC na výstupu z křivky